Ubuntu – Qt Creator won’t recognize any Qt version

11.10qt-creator

I've just installed Qt Creator from the Ubuntu Software Center.

When I try to open any project other than a Qt Quick project I get following error message:

No valid qt versions found.
Please add a qt version in Tools/Options or via the maintenance tool of the SDK.

In Tools → Options → Qt4, qmake-qt4 was added to the list automatically.

This is what my Qt4 options menu looks like.

qt-creator options menu

Here is the output of dpkg --get-selection | grep qt.

What am I missing to get Qt Creator to let me open Qt C++ projects?

Best Answer

The problem wasn't the missing Qt version but the missing tool chain.

In Tools → Options → Tool Chains add GCC and set your gcc path as the Compiler path.

Related Question